gnutls_record_discard_queued(3)

NAME
gnutls_record_discard_queued - API function

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_record_discard_queued(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
This function discards all queued to be sent packets in a TLS or DTLS session. These are the packets queued after an interrupted gnutls_record_send().

RETURNS
The number of bytes discarded.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/